javax.media.nativewindow.util

## Interface InsetsImmutable

- All Superinterfaces:
    WriteCloneable
  All Known Implementing Classes:
    Insets

      public interface InsetsImmutable
      extends WriteCloneable

  Immutable insets representing rectangular window decoration insets on all four edges in window units.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Checks whether two rect objects are equal.
    `int` | `getBottomHeight()`
    `int` | `getLeftWidth()`
    `int` | `getRightWidth()`
    `int` | `getTopHeight()`
    `int` | `getTotalHeight()`
    `int` | `getTotalWidth()`
    `int` | `hashCode()`

    - ### Methods inherited from interface com.jogamp.common.type.WriteCloneable

      `cloneMutable`

- - ### Method Detail

    - #### getLeftWidth

          int getLeftWidth()

      Returns:
        left inset width in window units.

    - #### getRightWidth

          int getRightWidth()

      Returns:
        right inset width in window units.

    - #### getTotalWidth

          int getTotalWidth()

      Returns:
        total width in window units, ie. `left_width + right_width`

    - #### getTopHeight

          int getTopHeight()

      Returns:
        top inset height in window units.

    - #### getBottomHeight

          int getBottomHeight()

      Returns:
        bottom inset height in window units.

    - #### getTotalHeight

          int getTotalHeight()

      Returns:
        total height in window units, ie. `top_height + bottom_height`

    - #### equals

          boolean equals(Object obj)

      Checks whether two rect objects are equal. Two instances of `Insets` are equal if the four integer values of the fields `left`, `right`, `top`, and `bottom` are all equal.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if the two Insets are equal; otherwise `false`.

    - #### hashCode

          int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright 2010 JogAmp Community.